Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
/
{nodeId}
Get node
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "data": {
      "type": "<string>",
      "title": "<string>",
      "prompt": "<string>",
      "tools": [
        "<string>"
      ],
      "knowledgeBaseId": "<string>",
      "variableKeys": [
        "<string>"
      ],
      "staticTokenCount": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

nodeId
string
required

The node ID

Response

OK

data
object
required